Bug 2550 - Zope service does not close stdin
: Zope service does not close stdin
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/Zope)
: unstable
: all Linux
: P5 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-04-25 19:14 by
Modified: 2003-11-14 15:37 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-04-25 19:14:25
Zope-2.5.1-alt4

При выполнении service zope start в запущенном процессе остаётся открытым stdin; из-за этого, например, после выполнения start/restart/... по ssh не закрывается соединение. Приходится делать service zope start </dev/null.

В выводе lsof наблюдается:

python  22135 zope    0u   CHR  136,4                6 /dev/pts/4

---

---

------- Comment #1 From 2003-09-07 21:31:46 -------
Fixed